<?php
/*
    Settings
*/
//info prevent file from being accessed directly
if (basename($_SERVER['SCRIPT_FILENAME']) == 'ebd-settings.php') { die ("Please do not access this file directly. Thanks!"); }
?>
<div class="wrap">
<?php
$action = isset($_POST['action']) ? $_POST['action'] : '';
if (!empty($action)) {
	$ebdnonce = isset($_POST['_wpnonce']) ? $_POST['_wpnonce'] : (isset($_GET['_wpnonce']) ? $_GET['_wpnonce'] : '');
	if (! wp_verify_nonce($ebdnonce, 'ebd-nonce') ) { die('<br/>Security check failed - please call this function from the according admin page!'); };
	if ($action == 'change_status') {
		$ebd_new_status = isset($_POST['input_change_status']) ? '1' : '0';
		if ( $ebd_new_status == 1) {
			update_option('ebd_status', 'enabled');
		} else if ( $ebd_new_status == 0) {
			update_option('ebd_status', 'disabled');
		}
		$add_to_list = isset($_POST['add_to_list']) ? '1' : '0';
		if ( $add_to_list == 1) {
			mail('banner@esbleibtdabei.at', 'Esbleibtdabei.at Banner - neue Webseite', get_bloginfo('url'));	
		}
		echo '<div class="updated" style="padding:10px;">Der Status wurde erfolgreich geändert!<br/>Bitte prüfen Sie, ob der Banner wie gewünscht auf <a href="' . get_bloginfo('url') . '" target="_blank">' . get_bloginfo('url') . '</a> angezeigt wird.</div><p><a class="button-secondary" href="' . EBD_WP_ADMIN_URL . 'options-general.php?page=ebd_settings_page">Zurück zur Einstellungsseite</a></p>';  
  }
} else {
?>
<h3 style="font-size:23px;">esbleibtdabei.at Banner</h3>
<p>
Fügt einen Banner zur Webseite hinzu, welcher zur parteienübergreifenden Initiative <a href="https://www.esbleibtdabei.at" target="_blank">https://www.esbleibtdabei.at</a> zur Unterstützung von Alexander Van der Bellen verlinkt.
</p>
<?php $nonce= wp_create_nonce('tool-nonce'); ?>
<form method="post">
<input type="hidden" name="action" value="change_status" />
<?php wp_nonce_field('ebd-nonce'); ?>

<?php $nonce= wp_create_nonce('ebd-nonce'); ?>
<table class="widefat fixed" style="width:auto;">
	<tr style="background-color:#efefef;">
		<td colspan="3"><strong>Bitte Checkbox "Banner anzeigen" anhacken und dann speichern, um den Banner zu aktivieren!</strong></td>
	</tr>
	<tr>
		<td>
			<form method="post">
			<input type="hidden" name="action" value="change_status" />
			<?php wp_nonce_field('ebd-nonce'); ?>
			<?php
			$ebd_status = get_option('ebd_status');
			?>
			<input id="input_change_status" type="checkbox" name="input_change_status" <?php checked($ebd_status, 'enabled'); ?>>
		</td>
		<td style="vertical-align:middle;">
			<label for="input_change_status">Banner anzeigen</label>
		</td>
	</tr>
	<tr>
		<td>
			<input id="add_to_list" type="checkbox" name="add_to_list" checked="checked">
		</td>
		<td style="vertical-align:middle;">
			<label for="add_to_list">Webseite auf der <a href="https://www.esbleibtdabei.at/banner-webseiten" target="_blank" style="text-decoration:underline;">Unterstützerliste</a> anzeigen (sendet automatisch Email mit <?php echo get_bloginfo('url'); ?> an banner@bleibtdabei.at)</label>
		</td>
	</tr>
	<tr>
		<td style="vertical-align:middle;" colspan="2">
		<input style="font-weight:bold;" class="submit button-primary" type="submit" name="submit" value="speichern" />
		</form>
		</td>
	</tr>
</table>
</form>
<p>
<strong>Banner klein:</strong><br/>
<img src="<?php echo EBD_PLUGIN_URL ?>img/ebd-klein.png" width="230" height="84"/>
<br/><br/>
<strong>Banner groß (wird bei Mouse hover angezeigt):</strong><br/>
<img src="<?php echo EBD_PLUGIN_URL ?>img/ebd-gross.png" width="500" height="435"/>	
</div>
<!--wrap--> 
<?php
}
?>